Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for CartesianProductGenerator9< T1, T2, T3, T4, T5, T6, T7, T8, T9 >:

## Public Types
typedef ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > | ParamType
Public Types inherited from ParamGeneratorInterface< ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
typedef ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > | ParamType

## Public Member Functions
| CartesianProductGenerator9 (const ParamGenerator< T1 > &g1, const ParamGenerator< T2 > &g2, const ParamGenerator< T3 > &g3, const ParamGenerator< T4 > &g4, const ParamGenerator< T5 > &g5, const ParamGenerator< T6 > &g6, const ParamGenerator< T7 > &g7, const ParamGenerator< T8 > &g8, const ParamGenerator< T9 > &g9)
virtual | ~CartesianProductGenerator9 ()
virtual ParamIteratorInterface< ParamType > * | Begin () const
virtual ParamIteratorInterface< ParamType > * | End () const
Public Member Functions inherited from ParamGeneratorInterface< ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > >
virtual | ~ParamGeneratorInterface ()

## Member Typedef Documentation

typedef ::std::tr1::tuple<T1, T2, T3, T4, T5, T6, T7, T8, T9> ParamType

## Constructor & Destructor Documentation

CartesianProductGenerator9 | ( | const ParamGenerator< T1 > & | g1,
|  | const ParamGenerator< T2 > & | g2,
|  | const ParamGenerator< T3 > & | g3,
|  | const ParamGenerator< T4 > & | g4,
|  | const ParamGenerator< T5 > & | g5,
|  | const ParamGenerator< T6 > & | g6,
|  | const ParamGenerator< T7 > & | g7,
|  | const ParamGenerator< T8 > & | g8,
|  | const ParamGenerator< T9 > & | g9
| ) |  |
| inline

virtual ~CartesianProductGenerator9 | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual ParamIteratorInterface<ParamType>* Begin | ( |  | ) | const
| inline virtual

Implements ParamGeneratorInterface< ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > >.

virtual ParamIteratorInterface<ParamType>* End | ( |  | ) | const
| inline virtual

Implements ParamGeneratorInterface< ::std::tr1::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9 > >.

The documentation for this class was generated from the following file:

- testing/googleTest/fused-src/gtest/gtest.h